import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { EditorComponent } from './editor/editor.component';
import { LandingPageComponent } from './landing-page/landing-page.component';
import { OutputComponent } from './output/output.component';
import {DocumentationComponent} from "./documentation/documentation.component";
import {FormComponent} from "./form/form.component";

// Toutes les routes de l'application sont définies ici
const routes: Routes = [
  { path: '', component: LandingPageComponent },
  { path: 'editor', component: EditorComponent },
  { path: 'output', component: OutputComponent },
  { path: 'documentation', component: DocumentationComponent},
  { path: 'contact', component: FormComponent}
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
